import request from '@/utils/request'

// 获取列表
export function getList(params) {
  return request({
    url: '/promotion/full/piece/list',
    method: 'get',
    params
  })
}

// 获取统计
export function getTotal(params) {
  return request({
    url: '/promotion/full/piece/total',
    method: 'get',
    params
  })
}

// 获取订单列表
export function getOrderList(params) {
  return request({
    url: '/promotion/full/piece/order/detail',
    method: 'get',
    params
  })
}

// 提交表单
export function submitData(params) {
  return request({
    url: '/promotion/full/piece/save',
    method: 'post',
    data: params
  })
}

// 获取详情
export function getDetail(params) {
  return request({
    url: '/promotion/full/piece/detail',
    method: 'get',
    params
  })
}